This page was not yet optimized for use on mobile devices.
F5OS-A Cryptographic Module
Known vulnerabilities detected
Our automated heuristics have identified vulnerabilities that may be associated with this certificate. See the CVEs section for details.Certificate details
| Certificate ID | #4883 |
|---|---|
| Status | active |
| Validation dates | 18.11.2024 |
| Sunset date | 17-11-2026 |
| Standard | FIPS 140-3 |
| Security level | 2 |
| Type | Firmware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | Interim Validation. When operated in approved mode. When installed, initialized and configured as specified in Section 11 of the Security Policy. The tamper evident seals with F5-ADD-BIG-FIPS140 kit installed as indicated in the Security Policy. |
| Exceptions |
|
| Description | F5OS-A Cryptographic Module Platform layer services for F5 appliance platforms |
| Version (Firmware) | 1.5.1 |
| Tested configurations |
|
| Vendor | F5, Inc. f5.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-256, CAST, RC4, DES, Triple-DES, SM4, HMAC, HMAC-SHA-384, CMACAsymmetric Algorithms
ECDH, ECDSA, EdDSA, ECC, Diffie-Hellman, DSAHash functions
SHA-1, SHA3, SHA3-256, MD5Schemes
MAC, Key exchange, Key Exchange, Key AgreementProtocols
SSH, SSHv2, SSL, TLS, TLS v1.2, TLS1.2, IKEv1, IKEv2, IKERandomness
DRBG, RNGElliptic Curves
P-256, P-384, Ed25519Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSJavaCard API constants
SM2Trusted Execution Environments
SSCSecurity level
Level 2Standards
FIPS 140-3, FIPS PUB 140-3, FIPS 197, FIPS 186-4, FIPS180-4, FIPS 198-1, FIPS140-3, FIPS140, FIPS186-4, FIPS 140, FIPS197, FIPS198-1, NIST SP 800-140B, SP 800-135, SP 800-38F, PKCS#1, PKCS #1, RFC 7627, RFC 5288, RFC 2313, ISO/IEC 24759Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.CPE matches
CVE matches
| ID | Links | Severity | CVSS Score | Published on |
|---|---|---|---|---|
| Base score | ||||
| CVE-2002-20001 | HIGH | 7.5 | 11.11.2021 | |
| CVE-2025-36546 | HIGH | 8.1 | 07.05.2025 | |
| CVE-2025-46265 | HIGH | 8.8 | 07.05.2025 | |
| CVE-2025-47150 | MEDIUM | 6.5 | 15.10.2025 | |
| CVE-2025-57780 | HIGH | 8.8 | 15.10.2025 | |
| CVE-2025-60013 | MEDIUM | 4.6 | 15.10.2025 | |
| CVE-2025-60015 | MEDIUM | 5.7 | 15.10.2025 | |
| CVE-2025-61955 | HIGH | 8.8 | 15.10.2025 |
Showing 5 out of 8.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4883,
"dgst": "c7d0562cd4f65e47",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"SHA2-256A5260",
"AES-GCMA5260",
"RSA SigGen (FIPS186-4)A5260",
"ECDSA SigGen (FIPS186-4)A5260",
"TLS v1.2 KDF RFC7627A5260",
"ECDSA KeyGen (FIPS186-4)A5260",
"Counter DRBGA5260",
"AES-ECBA5260",
"ECDSA KeyVer (FIPS186-4)A5260",
"#A3896",
"SHA2-384A5260",
"AES-CTRA5260",
"KDF SSHA5260",
"HMAC-SHA2-384A5260",
"#A5260",
"HMAC-SHA-1A5260",
"AES-GMACA5260",
"HMAC-SHA2-256A5260",
"RSA KeyGen (FIPS186-4)A5260",
"RSA SigVer (FIPS186-4)A5260",
"AES-CBCA5260",
"ECDSA SigVer (FIPS186-4)A5260",
"SHA-1A5260",
"KAS-ECC-SSC Sp800-56Ar3A5260"
]
},
"cpe_matches": {
"_type": "Set",
"elements": [
"cpe:2.3:o:f5:f5os-a:1.5.1:*:*:*:*:*:*:*"
]
},
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"1.5.1"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": {
"_type": "Set",
"elements": [
"CVE-2025-60015",
"CVE-2025-61955",
"CVE-2025-47150",
"CVE-2002-20001",
"CVE-2025-36546",
"CVE-2025-60013",
"CVE-2025-46265",
"CVE-2025-57780"
]
},
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 26,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 2
},
"ECDH": {
"ECDH": 1
},
"ECDSA": {
"ECDSA": 53
},
"EdDSA": {
"EdDSA": 2
}
},
"FF": {
"DH": {
"Diffie-Hellman": 32
},
"DSA": {
"DSA": 4
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"CCM": {
"CCM": 3
},
"CFB": {
"CFB": 2
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 9
},
"OFB": {
"OFB": 2
},
"XTS": {
"XTS": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 2,
"IKEv1": 2,
"IKEv2": 2
},
"SSH": {
"SSH": 108,
"SSHv2": 1
},
"TLS": {
"SSL": {
"SSL": 3
},
"TLS": {
"TLS": 106,
"TLS v1.2": 1,
"TLS1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 4
},
"KEX": {
"Key Exchange": 1,
"Key exchange": 3
},
"MAC": {
"MAC": 4
}
},
"device_model": {},
"ecc_curve": {
"Edwards": {
"Ed25519": 1
},
"NIST": {
"P-256": 36,
"P-384": 30
}
},
"eval_facility": {
"atsec": {
"atsec": 41
}
},
"fips_cert_id": {
"Cert": {
"#1": 1
}
},
"fips_certlike": {
"Certlike": {
"AES 256": 2,
"AES-128": 1,
"AES-256": 2,
"HMAC-SHA-1": 10,
"HMAC-SHA-384": 6,
"HMAC-SHA384": 2,
"PKCS #1": 2,
"PKCS#1": 6,
"RSA PKCS#1": 2,
"SHA-1": 8,
"SHA2- 224": 1,
"SHA2- 256": 2,
"SHA2-224": 7,
"SHA2-256": 10,
"SHA2-384": 9,
"SHA2-512": 6,
"SHA3": 4,
"SHA3-256": 1
}
},
"fips_security_level": {
"Level": {
"Level 2": 3
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 4
}
},
"SHA": {
"SHA1": {
"SHA-1": 8
},
"SHA3": {
"SHA3": 4,
"SHA3-256": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"SM2": 2
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 37
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-3": 54,
"FIPS 186-4": 14,
"FIPS 197": 5,
"FIPS 198-1": 1,
"FIPS PUB 140-3": 2,
"FIPS140": 1,
"FIPS140-3": 2,
"FIPS180-4": 2,
"FIPS186-4": 2,
"FIPS197": 1,
"FIPS198-1": 1
},
"ISO": {
"ISO/IEC 24759": 2
},
"NIST": {
"NIST SP 800-140B": 1,
"SP 800-135": 10,
"SP 800-38F": 3
},
"PKCS": {
"PKCS #1": 1,
"PKCS#1": 4
},
"RFC": {
"RFC 2313": 1,
"RFC 5288": 2,
"RFC 7627": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 39,
"AES-128": 1,
"AES-256": 2
},
"CAST": {
"CAST": 15
},
"RC": {
"RC4": 2
}
},
"DES": {
"3DES": {
"Triple-DES": 5
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 2,
"HMAC": 24,
"HMAC-SHA-384": 3
}
},
"miscellaneous": {
"SM4": {
"SM4": 2
}
}
},
"tee_name": {
"IBM": {
"SSC": 4
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"SHA2-256A5260",
"AES-GCMA5260",
"RSA SigGen (FIPS186-4)A5260",
"ECDSA SigGen (FIPS186-4)A5260",
"TLS v1.2 KDF RFC7627A5260",
"ECDSA KeyGen (FIPS186-4)A5260",
"Counter DRBGA5260",
"AES-ECBA5260",
"ECDSA KeyVer (FIPS186-4)A5260",
"SHA2-384A5260",
"AES-CTRA5260",
"KDF SSHA5260",
"HMAC-SHA2-384A5260",
"HMAC-SHA-1A5260",
"AES-GMACA5260",
"HMAC-SHA2-256A5260",
"RSA KeyGen (FIPS186-4)A5260",
"RSA SigVer (FIPS186-4)A5260",
"AES-CBCA5260",
"ECDSA SigVer (FIPS186-4)A5260",
"SHA-1A5260",
"KAS-ECC-SSC Sp800-56Ar3A5260"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A5260",
"#A3896"
]
},
"policy_metadata": {
"/Author": "Marylene Palard",
"/CreationDate": "D:20241105042613Z00\u002700\u0027",
"/Creator": "Word",
"/ModDate": "D:20241105042613Z00\u002700\u0027",
"/Producer": "macOS Version 14.6 (Build 23G80) Quartz PDFContext",
"/Title": "140-3-SecurityPolicy_F5OS-A",
"pdf_file_size_bytes": 2483874,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 43
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "e8e29bc878c76c7b9a1718fe6360ebdf3cc1cd605d8be19d2569e23dc98bbb29",
"source_hash": "85bc7f90ec9282c3ef822fd0cfdd03d84f0243ec105afc72cfa8f32da3019999",
"txt_hash": "e32e809de27d2e61539223fc7857a38d97032e4a3d6da4b5c23f0320da01c680"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "Interim Validation. When operated in approved mode. When installed, initialized and configured as specified in Section 11 of the Security Policy. The tamper evident seals with F5-ADD-BIG-FIPS140 kit installed as indicated in the Security Policy.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/November 2024_021224_0125.pdf",
"date_sunset": "2026-11-17",
"description": "F5OS-A Cryptographic Module Platform layer services for F5 appliance platforms",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Operational environment: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": "1.5.1",
"historical_reason": null,
"hw_versions": null,
"level": 2,
"mentioned_certs": {},
"module_name": "F5OS-A Cryptographic Module",
"module_type": "Firmware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": null,
"tested_conf": [
"F5OS-A 1.5.1 on r10900 with Intel\u00ae Xeon\u00ae Gold 6312U Ice Lake-SP with PAA",
"F5OS-A 1.5.1 on r10900 with Intel\u00ae Xeon\u00ae Gold 6312U Ice Lake-SP without PAA",
"F5OS-A 1.5.1 on r10920-DF with Intel\u00ae Xeon\u00ae Gold 6312U Ice Lake-SP with PAA",
"F5OS-A 1.5.1 on r10920-DF with Intel\u00ae Xeon\u00ae Gold 6312U Ice Lake-SP without PAA",
"F5OS-A 1.5.1 on r4800 with Intel\u00ae Atom\u00ae P5342 Snow Ridge NS with PAA",
"F5OS-A 1.5.1 on r4800 with Intel\u00ae Atom\u00ae P5342 Snow Ridge NS without PAA",
"F5OS-A 1.5.1 on r5900 with Intel\u00ae Xeon\u00ae Silver 4314 Ice Lake-SP with PAA",
"F5OS-A 1.5.1 on r5900 with Intel\u00ae Xeon\u00ae Silver 4314 Ice Lake-SP without PAA",
"F5OS-A 1.5.1 on r5920-DF with Intel\u00ae Xeon\u00ae Silver 4314 Ice Lake-SP with PAA",
"F5OS-A 1.5.1 on r5920-DF with Intel\u00ae Xeon\u00ae Silver 4314 Ice Lake-SP without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-11-18",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "F5, Inc.",
"vendor_url": "f5.com"
}
}